コンテンツへスキップ

Hunyuan 3D Pro Text to 3D

統合

モデルID hunyuan-3d/v3.1/pro/text-to-3d
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hunyuan-3d/v3.1/pro/text-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

例と同様のファイル: $0.375 375 APIクレジット · ≈ ₽40.24 実行前にファイルを計測します このページで実行

APIキーを取得
Tencent テキストから3D #3d#hunyuan#text-to-3d

最大1024文字のテキストプロンプトから3Dモデルを生成し、面数とPBRを指定できます

Tencent · 3D

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 88 / 1024

作成する3Dコンテンツを説明する生成プロンプト。最大1024 UTF-8文字。

デフォルト 500000

40,000~1,500,000の希望ポリゴン面数。デフォルトは500,000です。

詳細設定 generate_type
generate_type デフォルト Normal

Normalを使用したテクスチャ付きモデルと、Geometryを使用したテクスチャなしの白いジオメトリのみのモデルから選択します。v3.1ではLowPoly/Sketchを選択できません。

POST /run/hunyuan-3d/v3.1/pro/text-to-3d?wait=20 見積もり → $0.375
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hunyuan-3d/v3.1/pro/text-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Hunyuan 3D Pro Text to 3Dについて

最大1024文字の`prompt`から3Dモデルを生成します。`generate_type`でテクスチャ付きの結果またはジオメトリのみの白いモデルを選択し、`enable_pbr`でメタリック、ラフネス、法線テクスチャを追加します。`face_count`は40,000〜1,500,000です。GLBファイル、その他の形式のURL、シード、サムネイルを出力します。

パラメータ

名前型 デフォルト許可される値 説明
prompt必須
型string
≤ 1,024文字
作成する3Dコンテンツを説明する生成プロンプト。最大1024 UTF-8文字。
generate_type任意
型enum
デフォルトNormal
NormalGeometry
Normalを使用したテクスチャ付きモデルと、Geometryを使用したテクスチャなしの白いジオメトリのみのモデルから選択します。v3.1ではLowPoly/Sketchを選択できません。
enable_pbr任意
型boolean
デフォルトfalse
PBR生成の切り替え。generate_typeがGeometryの場合は無効です。それ以外では、有効にすると生成マテリアルにメタリック、ラフネス、ノーマルテクスチャを追加します。
face_count任意
型integer
デフォルト500000
40,000 – 1,500,000
40,000~1,500,000の希望ポリゴン面数。デフォルトは500,000です。
必須

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "hunyuan-3d/v3.1/pro/text-to-3d",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 375,
    "usd": "0.375",
    "charged": 375,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "model_glb": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "thumbnail": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "model_urls": {
      "glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "obj": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "mtl": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "texture": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "usdz": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
model_glb
object {url, content_type, file_name, file_size}生成された3Dオブジェクトを含むGLBファイル。
thumbnail
object {url, content_type, file_name, file_size} | null生成モデルのプレビューを示すサムネイル。
model_urls
object {glb, fbx, obj, mtl, texture, usdz}各種形式の3Dモデルへのリンク。
seed
integer | null生成時に使用するシード値。

その他のモデル: テキストから3D

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/hunyuan-3d/v3.1/pro/text-to-3d.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt